Bug 226897

Summary: games/openrct2: move title-sequence and objects to the port, update to 0.2.2, fix build with big-endian architectures
Product: Ports & Packages Reporter: Piotr Kubaj <pkubaj>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me CC: amdmi3, janisozaur+freebsd, linimon
Priority: --- Flags: pkubaj: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
none
patch
pkubaj: maintainer-approval+
patch
pkubaj: maintainer-approval+
patch
none
patch
pkubaj: maintainer-approval+
patch
pkubaj: maintainer-approval+
patch
pkubaj: maintainer-approval+
patch
pkubaj: maintainer-approval+
patch
pkubaj: maintainer-approval+
patch none

Description Piotr Kubaj freebsd_committer 2018-03-24 19:05:08 UTC
Created attachment 191789 [details]
patch

This patch makes the port include title sequences that users were supposed to install manually. Since it installs necessary files and website that had instructions (https://openrct2.website/getting-started/index.html) is down, I'm also removing pkg-message.
Comment 1 janisozaur+freebsd 2018-03-25 17:54:26 UTC
We moved our domain to https://openrct2.io
Comment 2 Piotr Kubaj freebsd_committer 2018-03-26 16:41:40 UTC
Created attachment 191843 [details]
patch

I added pkg-message again with the new website.

I also removed CMAKE_ON=      BUILD_SHARED_LIBS, it breaks install target on my CURRENT.
Comment 3 Piotr Kubaj freebsd_committer 2018-03-27 13:11:21 UTC
Created attachment 191866 [details]
patch

I solved the issue on my end with shared libraries, so here's a new patch with that restored.
Comment 4 Piotr Kubaj freebsd_committer 2018-06-14 16:40:35 UTC
Created attachment 194252 [details]
patch

I'm attaching another patch, which also updates the port to 0.2.0.

Since OpenRCT2 now requires C++17-aware libc++, it doesn't build on 10-STABLE and is as such ignored.

It was tested on 11-STABLE and CURRENT (Poudriere and running).
Comment 5 Piotr Kubaj freebsd_committer 2018-06-16 00:07:31 UTC
Created attachment 194285 [details]
patch

New patch with corrected website in pkg-descr.
Comment 6 Piotr Kubaj freebsd_committer 2018-08-27 18:23:16 UTC
Created attachment 196608 [details]
patch

Update to objects 1.0.6 and OpenRCT 0.2.1.
Comment 7 janisozaur+freebsd 2018-08-28 05:40:12 UTC
The latest patch is wrong, it changes the project website to https://openrct2.org, while it should point to https://openrct2.io
Comment 8 Piotr Kubaj freebsd_committer 2018-08-28 07:29:18 UTC
Created attachment 196630 [details]
patch

Corrected.
Comment 9 Piotr Kubaj freebsd_committer 2018-11-22 23:14:42 UTC
Created attachment 199460 [details]
patch

Same as before + add patch from upstream PR to build on big-endian platforms.
Comment 10 Dmitry Marakasov freebsd_committer 2018-11-27 12:07:11 UTC
- Please fetch title-sequence and objects through USE_GITHUB mechanism (e.g. via multiple GH_PROJECT values or GH_TUPLE)
- Please use DATADIR to avoid plist bloat
- I'd be more convenient to provide a "patch from upstream PR to build on big-endian platforms" as a single file with description. E.g. as in `git show` output.
Comment 11 Piotr Kubaj freebsd_committer 2018-12-02 14:27:32 UTC
(In reply to Dmitry Marakasov from comment #10)
What do you mean with:
- Please use DATADIR to avoid plist bloat
?
Comment 12 Dmitry Marakasov freebsd_committer 2018-12-03 14:40:23 UTC
(In reply to Piotr Kubaj from comment #11)
> (In reply to Dmitry Marakasov from comment #10)
> What do you mean with:
> - Please use DATADIR to avoid plist bloat
> ?

Sorry, I've meant PORTDATA.

Makefile: add PORTDATA=*
pkg-plist: remove %%DATADIR%%/* lines
Comment 13 Piotr Kubaj freebsd_committer 2018-12-03 17:14:08 UTC
Created attachment 199798 [details]
patch

Is that ok?
Comment 14 Dmitry Marakasov freebsd_committer 2018-12-05 16:22:47 UTC
(In reply to Piotr Kubaj from comment #13)

> Is that ok?

Looks good. Needs a few corrections, testing now.
Comment 15 Piotr Kubaj freebsd_committer 2019-04-05 22:05:31 UTC
Created attachment 203417 [details]
patch

Update to 0.2.2, objects 1.0.10 and title-sequences 0.1.2a.

Tested on powerpc64 and amd64.
Comment 16 commit-hook freebsd_committer 2019-05-03 08:45:50 UTC
A commit references this bug:

Author: pkubaj
Date: Fri May  3 08:45:29 UTC 2019
New revision: 500708
URL: https://svnweb.freebsd.org/changeset/ports/500708

Log:
  games/openrct2: move title-sequence and objects to the port, update to 0.2.2, fix build with big-endian architectures, change maintainer

  Patch for big-endian compatibility taken from upstream at https://github.com/OpenRCT2/OpenRCT2/pull/8091

  PR:		226897
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19941

Changes:
  head/games/openrct2/Makefile
  head/games/openrct2/distinfo
  head/games/openrct2/files/patch-bigendian
  head/games/openrct2/files/patch-src_openrct2_config_Config.cpp
  head/games/openrct2/files/patch-src_openrct2_platform_Platform.Linux.cpp
  head/games/openrct2/files/patch-src_openrct2_util_Util.cpp
  head/games/openrct2/files/pkg-message.in
  head/games/openrct2/pkg-descr
  head/games/openrct2/pkg-message
  head/games/openrct2/pkg-plist